## org.eclipse.jetty.http
Class EncodedHttpURI

    java.lang.Object
      org.eclipse.jetty.http.HttpURI
          org.eclipse.jetty.http.EncodedHttpURI

    public class EncodedHttpURI

extends HttpURI

Constructor Summary
`EncodedHttpURI(java.lang.String encoding)`

Method Summary
`void` `decodeQueryTo(MultiMap parameters)`
`void` `decodeQueryTo(MultiMap parameters, java.lang.String encoding)`
`java.lang.String` `getAuthority()`
`java.lang.String` `getCompletePath()`
`java.lang.String` `getDecodedPath()`
`java.lang.String` `getFragment()`
`java.lang.String` `getHost()`
`java.lang.String` `getParam()`
`java.lang.String` `getPath()`
`java.lang.String` `getPathAndParam()`
`int` `getPort()`
`java.lang.String` `getQuery()`
`java.lang.String` `getScheme()`
`boolean` `hasQuery()`
`java.lang.String` `toString()`
`void` `writeTo(Utf8StringBuffer buf)`

Methods inherited from class org.eclipse.jetty.http.HttpURI
`clear, getQuery, parse, parse, parseConnect, writeTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EncodedHttpURI

    public EncodedHttpURI(java.lang.String encoding)

Method Detail

### getScheme

    public java.lang.String getScheme()

  Overrides:
    `getScheme` in class `HttpURI`

### getAuthority

    public java.lang.String getAuthority()

  Overrides:
    `getAuthority` in class `HttpURI`

### getHost

    public java.lang.String getHost()

  Overrides:
    `getHost` in class `HttpURI`

### getPort

    public int getPort()

  Overrides:
    `getPort` in class `HttpURI`

### getPath

    public java.lang.String getPath()

  Overrides:
    `getPath` in class `HttpURI`

### getDecodedPath

    public java.lang.String getDecodedPath()

  Overrides:
    `getDecodedPath` in class `HttpURI`

### getPathAndParam

    public java.lang.String getPathAndParam()

  Overrides:
    `getPathAndParam` in class `HttpURI`

### getCompletePath

    public java.lang.String getCompletePath()

  Overrides:
    `getCompletePath` in class `HttpURI`

### getParam

    public java.lang.String getParam()

  Overrides:
    `getParam` in class `HttpURI`

### getQuery

    public java.lang.String getQuery()

  Overrides:
    `getQuery` in class `HttpURI`

### hasQuery

    public boolean hasQuery()

  Overrides:
    `hasQuery` in class `HttpURI`

### getFragment

    public java.lang.String getFragment()

  Overrides:
    `getFragment` in class `HttpURI`

### decodeQueryTo

    public void decodeQueryTo(MultiMap parameters)

  Overrides:
    `decodeQueryTo` in class `HttpURI`

### decodeQueryTo

    public void decodeQueryTo(MultiMap parameters,
                              java.lang.String encoding)
                       throws java.io.UnsupportedEncodingException

  Overrides:
    `decodeQueryTo` in class `HttpURI`
  Throws:
    `java.io.UnsupportedEncodingException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `HttpURI`

### writeTo

    public void writeTo(Utf8StringBuffer buf)

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.